%global src_name gnome_shell___orta_by_half_left-d3f9qp5
%global theme_name orta
%global theme Orta


Name:           gnome-shell-theme-%{theme_name}
Version:        3.4
Release:        1%{?dist}
Summary:        The %{theme} gnome-shell theme  
Group:          User Interface/Desktops     

License:        GPLv3
URL:            http://half-left.deviantart.com/art/GNOME-Shell-Orta-207047273
Source0:        http://www.deviantart.com/download/207047273/%{src_name}.zip

Requires:       gnome-shell-extension-user-theme
Requires:       gnome-shell >= 3.4
BuildArch:      noarch

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -n %{theme}

%build
# nothing to build

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}

# put the theme files into some data dir
cp -r gnome-shell $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/.

# delete backup files (*~)
find $RPM_BUILD_ROOT -name *~ -type f -print | xargs /bin/rm -f

# remove LICENSE from BUILDROOT
find $RPM_BUILD_ROOT -name LICENSE -type f -print | xargs /bin/rm -f


%files
%doc gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%{_datadir}/themes/%{theme}/*


%changelog
* Tue Jul 24 2012 Tim Lauridsen <timlau@fedoraproject.org> 3.4
- Latest upstream release with gnome-shell 3.4 support
- fix requirements 

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 09 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0
- initial rpm build
